# Interface OptionalToFromNumLayoutItem<T, Signed>

#### Type Parameters

- #### T extends NumType

- #### Signed extends Boolean

#### Hierarchy

- NumLayoutItemBase<T, Signed>
- OptionalToFromCustom<T>
  - OptionalToFromNumLayoutItem

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:36

#####
Index

### Properties

binary
custom?
endianness?
size

## Properties

### `Readonly` binary

binary: Signed extends true
? "int"
: "uint"

Inherited from NumLayoutItemBase.binary

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:21

### `Optional` custom

custom?: layout.FixedConversion<T, any> | layout.CustomConversion<T, any>

Inherited from OptionalToFromCustom.custom

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:28

### `Optional` endianness

endianness?: Endianness

Inherited from NumLayoutItemBase.endianness

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:32

### size

size: T extends bigint
? number
: NumberSize

Inherited from NumLayoutItemBase.size

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:31

Generated using TypeDoc